# class KAboutTranslator | This structure is used to store information about a translator. More...
Definition | `#include <kaboutdata.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KAboutTranslator (const QString & name=QString::null, const QString & emailAddress=QString::null)
- QString name () const
- QString emailAddress () const

## Detailed Description

This structure is used to store information about a translator. It can store the translator's name and an email address. This class is intended for use in the KAboutProgram class, but it can be used elsewhere as well. Normally you should at least define the translator's name.

It's not possible to use KAboutPerson for this, because KAboutPerson stores internaly only const char* pointers, but the translator information is generated dynamically from the translation of a dummy string.

KAboutTranslator (const QString & name=QString::null, const QString & emailAddress=QString::null) | ### KAboutTranslator

Convenience constructor

Parameters:

name | The name of the person.
emailAddress | The email address of the person.

QString name () | ### name

[const]

The translator's name

QString emailAddress () | ### emailAddress

[const]

The translator's email

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:34:58 2001, using kdoc 2.0a53.